package com.lx.IR12

import kotlinx.cinterop.ExperimentalForeignApi
import platform.PerformanceAnalysisKit.HiLog.OH_LOG_Print
import kotlin.experimental.ExperimentalNativeApi

class TestLambda {
    val stringPlus: (String, String) -> String = String::plus
}

@OptIn(ExperimentalNativeApi::class, ExperimentalForeignApi::class)
@CName("TestLambdaStringPlus")
fun TestLambdaStringPlus() {
    val stringPlus = TestLambda().stringPlus("a========================", "b")
    OH_LOG_Print(0u, 4u, 4660u, "TestLambda", stringPlus)
}
